<div *ngIf="user.image">
  <img [src]="user.image.objectURL || user.image" class="avatar" alt="{{ 'Profile.imageAlt' | translate:lang }}">
</div>
<form name="form" (ngSubmit)="f.form.valid && onSubmit(f)" #f="ngForm" novalidate>
  <div class="form-group">
    <label for="email">{{ 'Profile.Email.text' | translate:lang }}</label>
    <input type="email"
           class="form-control"
           id="email"
           name="email"
           [class.is-invalid]="email.invalid && (email.dirty || email.touched)"
           [class.is-valid]="email.valid"
           [(ngModel)]="user.email"
           #email="ngModel" required email minlength="4"/>
    <div class="invalid-feedback">{{ emailValidate(email) | translate:lang }}</div>
  </div>
  <div class="form-group">
    <label for="username">{{ 'Profile.Username.text' | translate:lang }}</label>
    <input type="text"
           class="form-control"
           id="username"
           name="username"
           [class.is-invalid]="username.invalid && (username.dirty || username.touched)"
           [class.is-valid]="username.valid"
           [(ngModel)]="user.username"
           #username="ngModel" required minlength="4"/>
    <div class="invalid-feedback">{{ usernameValidate(username) | translate:lang }}</div>
  </div>
  <div class="form-group">
    <label for="password">{{ 'Profile.Password.text' | translate:lang }}</label>
    <input type="password"
           class="form-control"
           [class.is-invalid]="password.invalid && (password.dirty || password.touched)"
           [class.is-valid]="password.valid"
           id="password"
           name="password"
           [(ngModel)]="user.password"
           #password="ngModel" minlength="8"/>
    <div class="invalid-feedback">{{ passwordValidate(password) | translate:lang }}</div>
  </div>
  <div class="form-group">
    <label for="confirmation">{{ 'Profile.Confirmation.text' | translate:lang }}</label>
    <input type="password"
           class="form-control"
           [class.is-invalid]="!confirmationValidate(confirmation) && (password.dirty || confirmation.touched)"
           [class.is-valid]="confirmationValidate(confirmation)"
           id="confirmation"
           name="confirmation"
           [required]="password.dirty"
           [(ngModel)]="user.confirmation"
           #confirmation="ngModel"/>
    <div class="invalid-feedback">{{ 'Profile.Confirmation.error' | translate:lang }}</div>
  </div>
  <div class="form-group">
    <app-image-uploader [model]="user"></app-image-uploader>
  </div>
  <div class="form-group">
    <button type="submit" class="btn btn-primary form-control">{{ 'Profile.btnUpdate' | translate:lang }}</button>
  </div>
</form>
